OGRE: Ogre::ILUtil Class Reference - OGRE Documentation

Classes | Static Public Member Functions

# Ogre::ILUtil Class Reference

`#include <OgreILUtil.h>`

List of all members.

## Classes
struct | ILFormat
| Structure that encapsulates a devIL image format definition. More...
## Static Public Member Functions
static PixelFormat | ilFormat2OgreFormat (int ImageFormat, int ImageType)
| Get OGRE format to which a given IL format can be most optimally converted.
static ILFormat | OgreFormat2ilFormat (PixelFormat format)
| Get IL format that matches a given OGRE format exactly in memory.
static void | toOgre (const PixelBox &dst)
| Convert current IL image to an OGRE format.
static void | fromOgre (const PixelBox &src)
| Convert an OGRE format image to current IL image.

## Detailed Description

Definition at line 40 of file OgreILUtil.h.

## Member Function Documentation

static void Ogre::ILUtil::fromOgre | ( | const PixelBox & | src | ) | `[static]`

Convert an OGRE format image to current IL image.

Parameters:

  | src | Pixelbox; encapsulates source pointer, width, height, depth and format

static PixelFormat Ogre::ILUtil::ilFormat2OgreFormat | ( | int | ImageFormat,
|  | int | ImageType |
| ) |  |  | `[static]`

Get OGRE format to which a given IL format can be most optimally converted.

static ILFormat Ogre::ILUtil::OgreFormat2ilFormat | ( | PixelFormat | format | ) | `[static]`

Get IL format that matches a given OGRE format exactly in memory.

Remarks:
  Returns an invalid ILFormat (.isValid()==false) when there is no IL format that matches this.

static void Ogre::ILUtil::toOgre | ( | const PixelBox & | dst | ) | `[static]`

Convert current IL image to an OGRE format.

The size of the target will be PixelUtil::getNumElemBytes(fmt) * ilGetInteger( IL_IMAGE_WIDTH ) * ilGetInteger( IL_IMAGE_HEIGHT ) * ilGetInteger( IL_IMAGE_DEPTH ) The IL image type must be IL(_UNSIGNED_)BYTE or IL_FLOAT. The IL image format must be IL_RGBA, IL_BGRA, IL_RGB, IL_BGR, IL_LUMINANCE or IL_LUMINANCE_ALPHA

Parameters:

  | tar | Target pointer
  | ogrefmt | Ogre pixel format to employ

The documentation for this class was generated from the following file:

- OgreILUtil.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55